﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EjemploCorrutinas : MonoBehaviour
{
    public delegate void FinalCuenta();
    public static event FinalCuenta OnFinalCuenta;

    private Coroutine miCorrutina;
    void Start()
    {
        miCorrutina = StartCoroutine(CuentaAtras());
    }
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Escape)
            && miCorrutina != null)
        {
            StopCoroutine(miCorrutina);
        }
    }
    /* 
    private IEnumerator miEnumerator;
    void Start()
    {
        miEnumerator = CuentaAtras();
        StartCoroutine(miEnumerator);
    }
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Escape)
            && miEnumerator != null)
        {
            StopCoroutine(miEnumerator);
        }
    }
    */
    IEnumerator CuentaAtras()
    {
        int tiempo = 5;
        do
        {
            Debug.Log("Quedan " + tiempo.ToString() + " segundos.");
            yield return new WaitForSeconds(1f);
            tiempo--;
        } while (tiempo > 0);
        Debug.Log("¡Se acabó!");
        if (OnFinalCuenta != null)
        {
            OnFinalCuenta();
        }
    }
}
