﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class EjemploEscenas : MonoBehaviour
{
    private static EjemploEscenas _instance = null;
    public static EjemploEscenas Instance
    {
        get
        {
            return _instance;
        }
    }
    void Awake()
    {
        if (_instance != null)
        {
            Destroy(gameObject);
        }
        else
        {
            _instance = this;
        }
    }

    void Start()
    {
        DontDestroyOnLoad(gameObject);
    }
    void MostrarCargaEscena(Scene nueva, LoadSceneMode modo)
    {
        Debug.Log("Escena cargada: " + nueva.name);
    }
    void OnEnable()
    {
        SceneManager.sceneLoaded += MostrarCargaEscena;
    }
    void OnDisable()
    {
        SceneManager.sceneLoaded -= MostrarCargaEscena;
    }    
    void Update()
    {
        if(Input.GetKeyDown(KeyCode.Space))
        {
            SceneManager.LoadSceneAsync("Escena2");
        }
        else if(Input.GetKeyDown(KeyCode.Escape))
        {
            SceneManager.LoadSceneAsync("SampleScene");
        }
    }
}
